---
title: "CLI Reference - Wez's Terminal Emulator"
source: "https://wezterm.org/cli/general.html"
author:
published:
created: 2026-04-17
description: "Wez's Terminal Emulator"
tags:
  - "clippings"
---
## Command Line

This section documents the wezterm command line.

*Note that `wezterm --help` or `wezterm SUBCOMMAND --help` will show the precise set of options that are applicable to your installed version of wezterm.*

wezterm is deployed with two major executables:

- `wezterm` (or `wezterm.exe` on Windows) - for interacting with wezterm from the terminal
- `wezterm-gui` (or `wezterm-gui.exe` on Windows) - for spawning wezterm from a desktop environment

You will typically use `wezterm` when scripting wezterm; it knows when to delegate to `wezterm-gui` under the covers.

If you are setting up a launcher for wezterm to run in the Windows GUI environment then you will want to explicitly target `wezterm-gui` so that Windows itself doesn't pop up a console host for its logging output.

> [!note] Note
> `wezterm-gui.exe --help` will not output anything to a console when run on Windows systems, because it runs in the Windows GUI subsystem and has no connection to the console. You can use `wezterm.exe --help` to see information about the various commands; it will delegate to `wezterm-gui.exe` when appropriate.

## Synopsis

```js
Wez's Terminal Emulator
http://github.com/wezterm/wezterm

Usage: wezterm [OPTIONS] [COMMAND]

Commands:
  start                  Start the GUI, optionally running an alternative
                             program [aliases: -e]
  ssh                    Establish an ssh session
  serial                 Open a serial port
  connect                Connect to wezterm multiplexer
  ls-fonts               Display information about fonts
  show-keys              Show key assignments
  cli                    Interact with experimental mux server
  imgcat                 Output an image to the terminal
  set-working-directory  Advise the terminal of the current working
                             directory by emitting an OSC 7 escape sequence
  record                 Record a terminal session as an asciicast
  replay                 Replay an asciicast terminal session
  shell-completion       Generate shell completion information
  help                   Print this message or the help of the given
                             subcommand(s)

Options:
  -n, --skip-config
          Skip loading wezterm.lua
      --config-file <CONFIG_FILE>
          Specify the configuration file to use, overrides the normal
          configuration file resolution
      --config <name=value>
          Override specific configuration values
  -h, --help
          Print help
  -V, --version
          Print version
```